de.caff.util.settings.swing

## Class SwingHttpProxyPropertySettings

- java.lang.Object
- - de.caff.util.settings.swing.EditablePropertyGroup<EditablePreferenceProperty>
  - - de.caff.util.settings.swing.EditablePreferenceGroup
    - - de.caff.util.settings.swing.SwingHttpProxyPropertySettings

- All Implemented Interfaces:
    ChangeableItem, PreferenceProperty, EditablePreferenceProperty, EditableProperty, java.beans.PropertyChangeListener, java.util.EventListener

      public class SwingHttpProxyPropertySettings
      extends EditablePreferenceGroup
      implements java.beans.PropertyChangeListener

  Editable HTTP proxy settings.
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HOST_SUFFIX` Suffix used for the HTTP host of the proxy.
    `static java.lang.String` | `PORT_SUFFIX` Suffix used for the HTTP port of the proxy.
    `static java.lang.String` | `USED_SUFFIX` Suffix used to indicate whether the HTTP proxy is in use.

    - ### Fields inherited from class de.caff.util.settings.swing.EditablePreferenceGroup

      `TABBED_SUFFIX`

    - ### Fields inherited from class de.caff.util.settings.swing.EditablePropertyGroup

      `nameTag, propertyList, tabbed`

    - ### Fields inherited from interface de.caff.util.settings.PreferenceProperty

      `PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingHttpProxyPropertySettings(java.lang.String basicName, java.lang.String baseTag)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(java.beans.PropertyChangeEvent evt)` This method gets called when a bound property is changed.

    - ### Methods inherited from class de.caff.util.settings.swing.EditablePreferenceGroup

      `readFrom, storeTo`

    - ### Methods inherited from class de.caff.util.settings.swing.EditablePropertyGroup

      `addProperty, addValueChangeListener, addValueChangeListenerWeakly, getEditorProvider, getName, getNameTag, getTabIndex, propertyIterator, removeValueChangeListener, removeValueChangeListenerWeakly, setTabIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getEditorProvider, getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Field Detail

    - #### PORT_SUFFIX

          public static final java.lang.String PORT_SUFFIX

      Suffix used for the HTTP port of the proxy.
      See Also:
        Constant Field Values

    - #### HOST_SUFFIX

          public static final java.lang.String HOST_SUFFIX

      Suffix used for the HTTP host of the proxy.
      See Also:
        Constant Field Values

    - #### USED_SUFFIX

          public static final java.lang.String USED_SUFFIX

      Suffix used to indicate whether the HTTP proxy is in use.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SwingHttpProxyPropertySettings

          public SwingHttpProxyPropertySettings(java.lang.String basicName,
                                                java.lang.String baseTag)

      Constructor.
      Parameters:
        `basicName` - preference base name
        `baseTag` - I18n resource base tag

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent evt)

      This method gets called when a bound property is changed.
      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`
      Parameters:
        `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.